@import '_content/C2i.Ingestion.Shared.Client/C2i.Ingestion.Shared.Client.bundle.scp.css';

/* /Pages/FlowcellsPage.razor.rz.scp.css */
[b-9bws73v2vt] .bi {
    font-size: 16px !important;
}
/* /Pages/StudyCohortPage.razor.rz.scp.css */
.row.row-wrapper[b-9cxqi4z54j] {
    background-color: #dee7ed;
}

.half-wrapper[b-9cxqi4z54j] {
    padding: 15px;
}

.col-6.left-panel[b-9cxqi4z54j] {
    box-shadow: 10px 0 6px -6px grey;
}

form .col-form-label[b-9cxqi4z54j] {
    font-weight: bold;
}

[data-tooltip][b-9cxqi4z54j]:before {
    /* needed - do not touch */
    content: attr(data-tooltip);
    position: absolute;
    opacity: 0;
    /* customizable */
    transition: all 0.2s ease;
    padding: 10px;
    color: #333;
    border-radius: 10px;
    box-shadow: 2px 2px 1px silver;
}

[data-tooltip]:hover[b-9cxqi4z54j]:before {
    /* needed - do not touch */
    opacity: 1;
    /* customizable */
    background-color: #598087;
    color: white;
    margin-top: -40px;
    margin-left: 50px;
    padding: 5px;
    border-radius: 5px;
}

[data-tooltip]:not([data-tooltip-persistent])[b-9cxqi4z54j]:before {
    pointer-events: none;
}

label:not(.col-form-label)[b-9cxqi4z54j] {
    display: none;
}

.wrapper[b-9cxqi4z54j] {
    height: 80vh;
    overflow-y: auto;
}

    .wrapper > .row.row-wrapper[b-9cxqi4z54j] {
        margin-right: initial;
        margin-left: initial;
        min-height: 95%;
        height: 95%;
        overflow-y: auto;
    }

/*nav tabs*/

[b-9cxqi4z54j] .nav.nav-wrapper span {
    font-size: 1.4em;
    margin-left: 10px;
}

[b-9cxqi4z54j] .nav.nav-wrapper .nav-link {
    width: 150px !important;
    text-align: center;
    padding: 0.7rem 1.3rem;
    color: #6c757d;
}

    [b-9cxqi4z54j] .nav.nav-wrapper .nav-link.active {
        color: #2E75B6;
        border-bottom: 2px solid #2E75B6;
    }

[b-9cxqi4z54j] .nav.nav-wrapper .nav-brand {
    padding: .85rem 1.25rem 0.45rem 1.25rem;
    font-weight: bold;
    margin-right: 100px;
}
/* /Shared/Buttons/ButtonWithTextAndIcon.razor.rz.scp.css */
[b-bywbefav6y] .action-button {
    min-width: 120px !important;
}
/* /Shared/Buttons/HiddenInputFile.razor.rz.scp.css */
[b-2btyyfb9xw] input[type="file"] {
    display: none;
}

.action-button[b-2btyyfb9xw] {
    min-width: 120px;
}

.k-toolbar-md > * > label[b-2btyyfb9xw] {
    margin-inline-end: initial;
}
/* /Shared/CrudCard.razor.rz.scp.css */
[b-y8r6gxrt1i] .mini-button {
    margin: 0 7px !important;
}
/* /Shared/GlobalModal.razor.rz.scp.css */
[b-rysuvn4tnc] .error-color {
    box-shadow: 0 0 5px 5px #ff4d4d;
}

[b-rysuvn4tnc] .success-color {
    box-shadow: 0 0 5px 5px #40bf40;
}

[b-rysuvn4tnc] .modal-body p {
    word-break: break-word !important;
}
/* /Shared/Inputs/InputFileIndicator.razor.rz.scp.css */
.disabled-button[b-d3hin7ty3s] {
    border-color: #e0e0e0;
    color: rgba(0, 0, 0, 0.38);
    background-color: #e0e0e0;
    box-shadow: none;
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-4c52ua2194] {
    position: relative;
    display: flex;
    flex-direction: column;
}

.main[b-4c52ua2194] {
    flex: 1;
    width: 1000px;
    position: relative;
}

.sidebar[b-4c52ua2194] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
    overflow: auto;
}

[b-4c52ua2194] .sidebar span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 200px;
}

.top-row[b-4c52ua2194] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    height: 3.5rem;
}

    .top-row[b-4c52ua2194]  a, .top-row .btn-link[b-4c52ua2194] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-4c52ua2194] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

.right > span:not(:last-child)[b-4c52ua2194] {
    margin: 20px;
    font-style: italic;
    font-family: Georgia, serif;
    font-size: large;
    color: #EA4335;
    font-weight: bold;
}

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-4c52ua2194] {
        display: none;
    }

    .top-row.auth[b-4c52ua2194] {
        justify-content: space-between;
    }

    .top-row a[b-4c52ua2194], .top-row .btn-link[b-4c52ua2194] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-4c52ua2194] {
        flex-direction: row;
    }

    .sidebar[b-4c52ua2194] {
        width: 300px;
        height: 100vh;
        position: sticky;
        top: 0;
        min-width: 300px;
    }

    .top-row[b-4c52ua2194] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .main > div[b-4c52ua2194] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-4qx59h9i8q] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-4qx59h9i8q] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-4qx59h9i8q] {
    font-size: 1.1rem;
}

.oi[b-4qx59h9i8q] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-4qx59h9i8q] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-4qx59h9i8q] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-4qx59h9i8q] {
        padding-bottom: 1rem;
    }

    .nav-item[b-4qx59h9i8q]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-4qx59h9i8q]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-4qx59h9i8q]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-4qx59h9i8q] {
        display: none;
    }

    .collapse[b-4qx59h9i8q] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/* /Shared/StudyCohort/Cohort.razor.rz.scp.css */
.row.row-wrapper[b-qt9rm3yd2w] {
    background-color: #dee7ed;
}

.half-wrapper[b-qt9rm3yd2w] {
    padding: 15px;
}

.col-6.left-panel[b-qt9rm3yd2w] {
    box-shadow: 10px 0 6px -6px grey;
}

form .col-form-label[b-qt9rm3yd2w] {
    font-weight: bold;
}

[data-tooltip][b-qt9rm3yd2w]:before {
    /* needed - do not touch */
    content: attr(data-tooltip);
    position: absolute;
    opacity: 0;
    /* customizable */
    transition: all 0.2s ease;
    padding: 10px;
    color: #333;
    border-radius: 10px;
    box-shadow: 2px 2px 1px silver;
}

[data-tooltip]:hover[b-qt9rm3yd2w]:before {
    /* needed - do not touch */
    opacity: 1;
    /* customizable */
    background-color: #598087;
    color: white;
    margin-top: -40px;
    margin-left: 50px;
    padding: 5px;
    border-radius: 5px;
}

[data-tooltip]:not([data-tooltip-persistent])[b-qt9rm3yd2w]:before {
    pointer-events: none;
}

.wrapper[b-qt9rm3yd2w] {
    height: 80vh;
    overflow-y: auto;
}

    .wrapper > .row.row-wrapper[b-qt9rm3yd2w] {
        margin-right: initial;
        margin-left: initial;
        min-height: 95%;
        height: 95%;
        overflow-y: auto;
    }
/* /Shared/StudyCohort/Data.razor.rz.scp.css */
.row[b-aidod7d2xc] {
    background-color: #dee7ed;
}

    .row.top-panel[b-aidod7d2xc] {
        box-shadow: 0 10px 6px -6px grey;
    }

    .row.bottom-panel[b-aidod7d2xc] {
        margin-top: 10px;
    }

    .row.top-panel[b-aidod7d2xc], row.bottom-panel[b-aidod7d2xc] {
        height: 40%;
    }

.half-wrapper[b-aidod7d2xc] {
    padding: 15px;
}

.wrapper[b-aidod7d2xc] {
    height: 80vh;
    overflow-y: auto;
}

    .wrapper > .row.row-wrapper[b-aidod7d2xc] {
        margin-right: initial;
        margin-left: initial;
        min-height: 95%;
        height: 95%;
        overflow-y: auto;
    }
/* /Shared/StudyCohort/Run.razor.rz.scp.css */
.row.row-wrapper[b-bkf2utrazh] {
    background-color: #dee7ed;
}

.half-wrapper[b-bkf2utrazh] {
    padding: 15px;
}

.col-6.left-panel[b-bkf2utrazh] {
    box-shadow: 10px 0 6px -6px grey;
}

form .col-form-label[b-bkf2utrazh] {
    font-weight: bold;
}

[data-tooltip][b-bkf2utrazh]:before {
    /* needed - do not touch */
    content: attr(data-tooltip);
    position: absolute;
    opacity: 0;
    /* customizable */
    transition: all 0.2s ease;
    padding: 10px;
    color: #333;
    border-radius: 10px;
    box-shadow: 2px 2px 1px silver;
}

[data-tooltip]:hover[b-bkf2utrazh]:before {
    /* needed - do not touch */
    opacity: 1;
    /* customizable */
    background-color: #598087;
    color: white;
    margin-top: -40px;
    margin-left: 50px;
    padding: 5px;
    border-radius: 5px;
}

[data-tooltip]:not([data-tooltip-persistent])[b-bkf2utrazh]:before {
    pointer-events: none;
}

.wrapper[b-bkf2utrazh] {
    height: 80vh;
    overflow-y: auto;
}

    .wrapper > .row.row-wrapper[b-bkf2utrazh] {
        margin-right: initial;
        margin-left: initial;
        min-height: 95%;
        height: 95%;
        overflow-y: auto;
    }

[b-bkf2utrazh] .manifest-button {
    width: 150px !important;
    height: 2.145rem !important;
    padding: 5px 10px !important;
    border: none !important;
    outline: none !important;
    background-color: #6c757d !important;
}

    [b-bkf2utrazh] .manifest-button:hover {
        outline: initial !important;
        cursor: pointer;
    }

    [b-bkf2utrazh] .manifest-button span {
        width: 100% !important;
        display: flex !important;
        align-items: center !important;
    }

    [b-bkf2utrazh] .manifest-button:first-child {
        margin-right: 12px;
    }

    [b-bkf2utrazh] .manifest-button:nth-child(3) {
        margin-left: 12px;
        margin-right: 12px;
    }

    [b-bkf2utrazh] .manifest-button:nth-child(3), [b-bkf2utrazh] .manifest-button:nth-child(4) {
        width: initial !important;
    }
/* /Shared/StudyCohort/SampleManifesUploader.razor.rz.scp.css */
[b-iuvluqnbn9] .rz-paginator {
    padding: 0.33rem 0.625rem !important;
}
/* /Shared/StudyCohort/TechnicalManifestUploader.razor.rz.scp.css */
[b-i726vqj259] .rz-paginator {
    padding: 0.33rem 0.625rem !important;
}

.button-container[b-i726vqj259] {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 2px;
    border: solid 1px #a6a6a6;
    border-radius: 5px;
    margin: 5px 0;
}

    .button-container:nth-child(2)[b-i726vqj259] {
        justify-content: flex-end;
    }
/* /Shared/StudyCohort/View.razor.rz.scp.css */
.row[b-e3jk5rz89r] {
    background-color: #dee7ed;
}

.col-4 > .half-wrapper[b-e3jk5rz89r], .col-12 > .half-wrapper[b-e3jk5rz89r] {
    padding: 15px;
}

.col-8 > .half-wrapper[b-e3jk5rz89r] {
    padding: 15px 9px;
}

.col-4.left-panel[b-e3jk5rz89r] {
    box-shadow: 10px 0 6px -6px grey;
}

.row.top-panel[b-e3jk5rz89r] {
    box-shadow: 0 10px 6px -6px grey;
}

.row.bottom-panel[b-e3jk5rz89r] {
    margin-top: 20px;
}

.no-samples[b-e3jk5rz89r] {
    color: grey;
}

[b-e3jk5rz89r] .manifest-button {
    width: 150px !important;
    height: 2.145rem !important;
    padding: 5px 10px !important;
    border: none !important;
    outline: none !important;
    background-color: #6c757d !important;
}

    [b-e3jk5rz89r] .manifest-button:hover {
        outline: initial !important;
        cursor: pointer;
    }

    [b-e3jk5rz89r] .manifest-button span {
        width: 100% !important;
        display: flex !important;
        align-items: center !important;
    }

    [b-e3jk5rz89r] .manifest-button.big-button {
        height: 4rem !important;
        width: 160px !important;
        text-align: left;
        font-size: 15px;
    }

[b-e3jk5rz89r] .big-button:first-child {
    margin-right: 2px;
}

[b-e3jk5rz89r] .big-button:nth-child(2) {
    margin-right: 2px;
}

[b-e3jk5rz89r] .rz-paginator {
    padding: 0.33rem 0.625rem !important;
}

.wrapper[b-e3jk5rz89r] {
    height: 80vh;
    overflow-y: auto;
}

    .wrapper > .row.row-wrapper[b-e3jk5rz89r] {
        margin-right: initial;
        margin-left: initial;
        min-height: 95%;
        height: 95%;
        overflow-y: scroll;
    }
